Subject: Re: bug#3203: 23.0.92; emacs 23.0.93 on windows fails at startup with "Unsupported coding system in Encoded-kbd mode: cp950"

From: Jason Rumney <[email-masked]>
Date: Mon, 04 May 2009 13:07:35 +0800

Lee. YJ (GSM) wrote:
> Hi,
>
> I got emacs 23.0.93 for windows from http://alpha.gnu.org and unzip it
> to c:/emacs/emacs-23.0.93.
> and I invoked emacs like below on cmd.exe command prompt:
>
> D:\>c:\emacs\emacs-23.0.93\bin\emacs.exe -Q
> Unsupported coding system in Encoded-kbd mode: cp950
>
> It just fails and cannot enter emacs at all.
> I guess maybe it's because i'm using the Windows Vista Traditional
> Chinese Version.
> Emacs tries to set cp950 as default the keyboard encoding but fails.
> but it's just my guess.
> could you please check?
>   

This error also occurs on GNU/Linux with Emacs trunk from 2009-04-15 
started as follows:

LANG=zh_TW emacs -Q

In my case (both GNU/Linux and Windows) the unsupported coding system is 
reported as chinese-big5, but cp950 is just an alias of that.